> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all gateways

> Retrieves a list of all available gateways.



## OpenAPI

````yaml /api-reference/endpoint/gateway/openapi.json get /gateway/all
openapi: 3.0.3
info:
  title: quiva.ai Gateway
  description: >-
    quiva.ai Gateway API for managing gateway infrastructure and routing API
    requests.
  version: 1.0.0
  contact:
    name: quiva.ai Support
    email: support@quiva.ai
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Gateways
    description: Gateway management endpoints
  - name: Mappings
    description: Gateway Mapping management endpoints
  - name: Mapping Versions
    description: Gateway Mapping Version management endpoints
paths:
  /gateway/all:
    get:
      tags:
        - Gateways
      summary: Get all gateways
      description: Retrieves a list of all available gateways.
      operationId: getAllGateways
      responses:
        '200':
          description: List of gateways retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayListResponseWrapper'
              example:
                body:
                  results:
                    - name: Gateway 1
                      description: First gateway
                      subject: ms.gateway.abc123.gateway
                      active: true
                      timeout: 30000
                      limit:
                        request: 10000
                        time: 1000
                      modified: 1713531894
                      type: created
                    - name: Gateway 2
                      description: Second gateway
                      subject: ms.gateway.def456.gateway
                      active: true
                      timeout: 60000
                      limit:
                        request: 5000
                        time: 1000
                      modified: 1713532000
                      type: created
                  results_total: 2
                metadata:
                  subject: gateway.*.gateway.>
        '400':
          $ref: '#/components/responses/BadRequest'
components:
  schemas:
    GatewayListResponseWrapper:
      type: object
      properties:
        body:
          $ref: '#/components/schemas/GatewayListResult'
        metadata:
          $ref: '#/components/schemas/Metadata'
    GatewayListResult:
      type: object
      properties:
        results:
          type: array
          description: List of gateways
          items:
            $ref: '#/components/schemas/GatewayResponse'
        results_total:
          type: integer
          description: Total number of gateways returned
          example: 2
    Metadata:
      type: object
      properties:
        subject:
          type: string
          description: Subject identifier for the resource
          example: ms.gateway.abcdef123456.gateway
    GatewayResponse:
      type: object
      properties:
        name:
          type: string
          description: Name of the gateway
          example: My API Gateway
        description:
          type: string
          description: Description of the gateway
          example: Gateway for my service APIs
        url:
          type: string
          description: URL of the gateway
          example: https://abc123.quiva.ai
        subject:
          type: string
          description: Subject identifier of the gateway
          example: ms.gateway.abcdef123456.gateway
        active:
          type: boolean
          description: Whether the gateway is active
          example: true
        timeout:
          type: integer
          description: Timeout in milliseconds for gateway requests
          example: 30000
        limit:
          $ref: '#/components/schemas/Limit'
        middleware:
          type: array
          description: List of middleware applied to the gateway
          items:
            $ref: '#/components/schemas/Middleware'
        modified:
          type: integer
          description: Unix timestamp of when the gateway was last modified
          example: 1713531894
        type:
          type: string
          description: Type of the gateway record
          example: created
    Limit:
      type: object
      properties:
        request:
          type: integer
          description: Maximum number of requests allowed
          default: 10000
          example: 5000
        time:
          type: integer
          description: Time window for rate limiting in milliseconds
          default: 1000
          example: 1000
    Middleware:
      type: object
      properties:
        order:
          type: integer
          description: Execution order of the middleware
          example: 1
        resource:
          type: string
          description: Resource identifier for the middleware function
          example: auth-middleware
        resource_type:
          type: string
          description: Type of resource the middleware points to
          example: function
          enum:
            - function
            - service
        resource_version:
          type: string
          description: Version of the middleware resource to use
          example: latest
        type:
          type: string
          description: When the middleware should execute
          example: pre-request
          enum:
            - pre-request
            - post-request
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Invalid request parameters
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-Api-Key

````